import { OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
import { Feedback } from './password-strength-meter-service';
import * as i0 from "@angular/core";
export declare class PasswordStrengthMeterComponent implements OnChanges {
    password: string;
    minPasswordLength: number;
    enableFeedback: boolean;
    enableAsync: boolean;
    colors: string[];
    numberOfProgressBarItems: number;
    strengthChange: EventEmitter<number | null>;
    baseClass: string;
    private passwordStrengthMeterService;
    passwordStrength: number | null;
    feedback: Feedback | null;
    private prevPasswordStrength;
    private passwordChangeObservable$;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    private init;
    private calculateScore;
    private calculateScoreAsync;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordStrengthMeterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PasswordStrengthMeterComponent, "password-strength-meter", never, { "password": { "alias": "password"; "required": true; }; "minPasswordLength": { "alias": "minPasswordLength"; "required": false; }; "enableFeedback": { "alias": "enableFeedback"; "required": false; }; "enableAsync": { "alias": "enableAsync"; "required": false; }; "colors": { "alias": "colors"; "required": false; }; "numberOfProgressBarItems": { "alias": "numberOfProgressBarItems"; "required": false; }; }, { "strengthChange": "strengthChange"; }, never, never, true, never>;
    static ngAcceptInputType_enableFeedback: unknown;
    static ngAcceptInputType_enableAsync: unknown;
}
