import { ElementRef, OnChanges, Renderer2, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class PSMProgressBarDirective implements OnChanges {
    private renderer;
    private el;
    numberOfProgressBarItems: number;
    passwordStrength: number | null;
    colors: string[];
    minProgressVal: number;
    maxProgressVal: number;
    currentProgressVal: number;
    dataPasswordStrength: number;
    progressBar: HTMLDivElement;
    private defaultColors;
    constructor(renderer: Renderer2, el: ElementRef<HTMLDivElement>);
    ngOnChanges(changes: SimpleChanges): void;
    setProgressBarItems(): void;
    setProgressBar(): void;
    getFillMeterWidth(strength: number | null | undefined): number;
    getMeterFillColor(progressLevel: number): string;
    private getRoundedStrength;
    static ɵfac: i0.ɵɵFactoryDeclaration<PSMProgressBarDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PSMProgressBarDirective, ".psm__progress-bar", never, { "numberOfProgressBarItems": { "alias": "numberOfProgressBarItems"; "required": true; }; "passwordStrength": { "alias": "passwordStrength"; "required": true; }; "colors": { "alias": "colors"; "required": false; }; }, {}, never, never, true, never>;
}
